Skip to main content
`Ctrl`+`K`

# SNESGetRhs

Gets the vector for solving F(x) = `rhs`. If `rhs` is not set it assumes a zero right-hand side.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetRhs(SNES snes, Vec *rhs)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- rhs - the right-hand side vector or `NULL` if there is no right-hand side vector

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetSolution()`, `SNESGetFunction()`, `SNESComputeFunction()`, `SNESSetJacobian()`, `SNESSetFunction()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages